package twitter

//go:generate mockery --recursive --name Store --output ../generated/mocks

import (
	"context"

	"git.netflux.io/rob/elon-eats-my-tweets/generated/store"
)

type Store interface {
	CreateUser(context.Context, store.CreateUserParams) (store.User, error)
}
